can Vita with henkaku play a game that require update 3.61+ ?

Discussion in 'PS Vita - Hacking & Homebrew' started by aos10, Sep 20, 2016.

  1. aos10
    OP

    aos10 how i fotochop?

    Member
    3,116
    761
    Apr 10, 2012
    Saudi Arabia
    so,i am thinking,right now there is no game that require to update to 3.61 to play it,but soon there will.
    can a Vita with henkaku spoof the frameware to play those games just like it spoof the PS Store?
     
  2. 0x40

    0x40 GBAtemp Regular

    Member
    226
    63
    Apr 20, 2013
    yes
     
  3. Santaros

    Santaros GBAtemp Regular

    Member
    197
    66
    Oct 5, 2013
    Given that they have likely made no changes other than patching exploits it shouldn't be an issue.
     
  4. MissingNO123

    MissingNO123 Jigglypuff

    Member
    203
    153
    Nov 24, 2012
    Canada
    hell
    Just patch the game, you don't need to do anything stupid to system files.
     
    Last edited by MissingNO123, Sep 23, 2016 - Reason: typo
  5. sj33

    sj33 GBAtemp Addict

    Member
    2,714
    1,717
    Oct 22, 2013
    Japan
    Looks like the answer is no, games requiring 3.61 won't be working anytime soon.

    https://github.com/henkaku/henkaku/issues/11

     
    DinohScene and aos10 like this.
  6. aos10
    OP

    aos10 how i fotochop?

    Member
    3,116
    761
    Apr 10, 2012
    Saudi Arabia
    I was about writing the same
    This was the most wanted feature i wanted from henkaku,i hope CFW or some app can fix this,there was s many games are coming soon.
     
    djalmafreestyler likes this.
  7. aos10
    OP

    aos10 how i fotochop?

    Member
    3,116
    761
    Apr 10, 2012
    Saudi Arabia
    someone posted this

    https://ghostbin.com/paste/sa9kz

     
    Last edited by aos10, Sep 23, 2016
  8. yifan_lu

    yifan_lu @yifanlu

    Member
    660
    1,373
    Apr 28, 2007
    United States
    lol whoever wrote that paste both knows nothing and also didn't read my github post either where the first thing I tried was an easier variant to that.

    The encryption has efficitively changed. Nothing we can do from user/kernel.
     
    Count Duckula, aos10 and guisadop like this.
  9. Anunakin

    Anunakin Newbie

    Newcomer
    2
    0
    Nov 30, 2015
    Brazil
  10. 0x40

    0x40 GBAtemp Regular

    Member
    226
    63
    Apr 20, 2013
    Maybe read the thread before posting?
     
    mokmoki, yifan_lu and I pwned U! like this.
  11. WiiUBricker

    WiiUBricker Insert Custom Title

    Member
    6,996
    4,048
    Sep 19, 2009
    Argentina
    Espresso
    What was different on the PS3? OFW 3.55 is the last exploitable firmware on the PS3, yet you can play games that require newer firmwares if you install a CFW, which is just a patched OFW. Why can't we do the same with Vita OFWs?

    I mean I have three Vitas, so I don't care if I have to update one of them, but people who have only one will eventually update past 3.60 to play new games, reducing the henkaku user base.
     
  12. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,953
    Jun 9, 2007
    Antarctica
    Because as far as I understand and remember, the PS3's private key was able to be derived, thus allowing users to encrypt and sign their own firmwares. They fixed it pretty quickly afterward on newer models, though.
     
    WiiUBricker likes this.
  13. Chary

    Chary Never sleeps.

    pip Reporter
    GBAtemp Patron
    Chary is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,363
    14,654
    Oct 2, 2012
    United States
    I've been hearing that Root Letter is unable to be dumped nor played with a 3.60 Henkaku Vita. Is this true?
     
  14. askara

    askara GBAtemp Regular

    Member
    130
    12
    Feb 12, 2013

    Root Letter is available in 3.60 in japan, some guy managed to copy the English files over at reddit and get it working. You cant dump 3.61 games at all, so it cant be play
     
  15. WiiUBricker

    WiiUBricker Insert Custom Title

    Member
    6,996
    4,048
    Sep 19, 2009
    Argentina
    Espresso
    There is a pre-build game floating around at a vita subreddit that uses the japanese eboot with assets from the english game. Apparently it works but has some minor issues. Not sure if it's allowed to post a link here to this subreddit since the discussion in that reddit is literally piracy.
     
  16. yifan_lu

    yifan_lu @yifanlu

    Member
    660
    1,373
    Apr 28, 2007
    United States
    PS3 had its lv0 hacked. If you do the same with the vita, you can decrypt games.
     
    WiiUBricker likes this.
  17. Ninoh-FOX

    Ninoh-FOX Otaku Gamer!!

    Member
    451
    61
    Jan 22, 2015
    Military base.
    I am tried backup SAO 3, but maidumptool not encrypter modules without boot.bin, I can make that the game not need update to 3.61 (edit param.sfo) but when I tried boot the game I have the error c0-12574-9 or c1-7084-9 if I used the modules from SAO 2...